## barbican-2014.2.rc1.tar.gz

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.6.4
argparse
Babel>=1.3
cryptography>=0.4 # Apache-2.0
eventlet>=0.15.1
iso8601>=0.1.9
jsonschema>=2.0.0,<3.0.0
kombu>=2.5.0
netaddr>=0.7.12
oslo.config>=1.4.0  # Apache-2.0
oslo.messaging>=1.4.0
Paste
PasteDeploy>=1.5.0
pbr>=0.6,!=0.7,<1.0

# TODO(john-wood-w) Temporary pin of Pecan to < 0.7.0, pending bug fix release:
#   https://bugs.launchpad.net/pecan/+bug/1373003
pecan>=0.5.0,<0.7.0

pycrypto>=2.6
pysqlite
keystonemiddleware>=1.0.0
six>=1.7.0
SQLAlchemy>=0.8.4,<=0.8.99,>=0.9.7,<=0.9.99
stevedore>=1.0.0  # Apache-2.0
WebOb>=1.2.3
wsgiref>=0.1.2

# TODO: Get this working again...PyKCS11>=1.2.4

=== debian/control ===
Source: barbican
Section: python
Priority: extra
Maintainer: CloudKeep Project <cloudkeep@googlegroups.com>
Uploaders: John Wood <john.wood@rackspace.com>,
 Douglas Mendizabal <douglas.mendizabal@rackspace.com>
Build-Depends: debhelper (>= 9), python
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
Homepage: http://launchpad.net/barbican
Vcs-Browser: https://github.com/jfwood/barbican
Vcs-Git: git://github.com/jfwood/barbican.git

Package: barbican-common
Architecture: amd64
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-crypto,
 python-dateutil,
 python-eventlet,
 python-falcon,
 python-iso8601,
 python-jsonschema,
 keystonemiddleware,
 python-kombu,
 python-pastedeploy,
 python-pysqlite2,
 python-sqlalchemy (>= 0.7.4),
 python-stevedore,
 python-webob,
 uwsgi,
 uwsgi-plugin-python,
 adduser,
 debconf,
 python-pip,
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for storing and retrieving sensitive 
 client information such as encryption keys.
 .
 This package contains common files for Barbican.

Package: barbican-api
Architecture: amd64
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 barbican-common (= ${binary:Version})
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for storing and retrieving sensitive 
 client information such as encryption keys.
 .
 This package contains the Barbican API Server.

Package: barbican-worker
Architecture: amd64
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 barbican-common (= ${binary:Version}),
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for storing and retrieving sensitive 
 client information such as encryption keys.
 .
 This package contains the Barbican Worker Node.
